quarkus:
  application:
    name: rec-create-security-notification
    version: 1.0.0
  ## Profile
  profile: dev
  http:
    non-application-root-path: actuator
  native:
    file-encoding: UTF-8
    container-build: true
    builder-image: quay.io/quarkus/ubi-quarkus-mandrel-builder-image:23.0.5.0-Final-java17
    container-runtime: docker
    additional-build-args:
      - -H:InitialCollectionPolicy=com.oracle.svm.core.genscavenge.CollectionPolicy\$BySpaceAndTime
    native-image-xmx: 6G
    resources:
      excludes: resources/*.yaml
  ## OpenApi
  smallrye-openapi:
    path: /openapi
    enable: 'true'
  ## Swagger IU
  swagger-ui:
    path: /swagger-ui
    always-include: 'true'
  ## Logs
  log:
    level: INFO
    console:
      enable: true
      format: "%d{HH:mm:ss.SSS} %-5p [%t] [%X{requestId}] %c{1} - %s%e%n"
  smallrye-health:
    root-path: /actuator/health
    liveness-path: /actuator/health/live
    readiness-path: /actuator/health/ready
    ui:
      enable: false
  debug:
    print-startup-times: true
    reflection: false